<?php

function hook_openlayers_quick_query_info($view) {
  if ($view->name == 'my_map') {

    // Add wkt field information
    $info['wkt_field'] = 'field_geolocation';

    // Add needed fields
    $info['fields'][] = array(
      'field_name' => 'field_geolocation'
    );

    $info['fields'][] = array(
      'field_name' => 'field_description',
      'additional_fields' => FALSE  // Return only default property of the field.
    );

    $info['fields'][] = array(
      'field_name' => 'field_rich_description',
      'additional_fields' => TRUE  // Return all properties of the field. Note: This may slow down the query - depending on the field
    );

    return $info;
  }
}
